use super::{User, Username};

fn test_user(name: &str, discriminator: u16) -> User {
    User {
        name: name.to_owned(),
        discriminator,
        ..Default::default()
    }
}

#[test]
fn test_legacy_username() {
    let user = test_user("test", 123);
    assert_eq!(user.username(), "test#0123");
}

#[test]
fn test_new_username() {
    let user = test_user("test", 0);
    assert_eq!(user.username(), "test");
}
